import React, {useState, useEffect, useRef} from 'react'
import './App.scss'
import {Provider, connect} from 'react-redux'
import {Router, Route, Link, Redirect, Switch} from 'react-router-dom'
import createHistory from "history/createBrowserHistory"
import {
  store,
  socket
} from "./reducers"

import {
  Login, 
  Register, 
  Main,
  AsidePage,
  CChatsPage,
  MsgPage
} from "./pages"

import Grid from '@mui/material/Grid'



const PageNoChat = () => (
  <div style={{ height: "100vh", width: "100%", backgroundColor: "#eee" }}>
  </div>
)

const AuthSwitch = ({ token }) => {

  if (token) {
    console.log('подключение сокета')
    socket.emit('jwt', token)
  }
  
  return (
    <>      
      {token ? 
      <>
        <Main>

          <Grid item xs={12} sm={4}>
              <AsidePage>
                <Switch> 
                  <Route path="/main/:_id" component={CChatsPage} /> 
                  <Route path="/find" component={PageNoChat} />
                  <Route path="*" component={CChatsPage} /> 
                </Switch>
              </AsidePage>
          </Grid>

          <Grid item xs={12} sm={8}>
            <Switch> 
              <Route path="/main" component={PageNoChat} exact/>
              <Route path="/main/:_id" component={MsgPage} exact/>
              <Route path="*" component={PageNoChat} /> 
            </Switch>
          </Grid>

        </Main>
      </>
      : 
      <>      
        <Switch>        
          <Route path="/reg" component={Register} />
          <Route path="/login" component={Login} />
          <Route path="*" component={Login} />
        </Switch>
      </>
      }
    </>
  )
}
const CAuthSwitch = connect(state => ({ token: state.auth.token || null }))(AuthSwitch)

export const history = createHistory()

function App() {

  // window.addEventListener("contextmenu", e => e.preventDefault());

  return (
    <Router history={history}>
      <Provider store={store}>
          <div className="App">
                                

           <CAuthSwitch />
          
          </div>
        </Provider>
    </Router>  
  )
}
export default App
