import React from 'react';
import Avatar from '@mui/material/Avatar';

import { backURL, stringColor }  from '../helpers'
import { connect }  from 'react-redux'

const small = {
  height: '40px', 
  width: '40px'
}
const middle = {
  height: '50px', 
  width: '50px'
}
const big = {
  height: '80px', 
  width: '80px'
}


export const UserAvatar = ({  profile, bigSize=false }) => {
  //  console.log(profile)
   
  function getUrl() {
    if (profile.localUrl) {
      return profile.localUrl
    } else if (profile.avatar?.url) {
      return backURL + profile.avatar?.url
    } else {
      return false
    }
  }

  return (
    <>
    {
        getUrl() ?
        <Avatar  sx={ bigSize ? big : small } 
                alt={profile.nick || profile.login } src={getUrl()} /> :
        <Avatar  sx={ bigSize ? big : small }
                {...stringColor.stringAvatar(profile.nick || profile.login)} /> 
    }        
    </>
  ) 
}
export const CMyAvatar = connect( state => ({ profile: state.promise.myProfile?.payload || {} }))(UserAvatar)



export const ChatAvatar = ({ chat, bigSize=false }) => {
 
  function getUrl() {
    if (chat.localUrl) {
      return chat.localUrl
    } else if (chat.avatar?.url) {
      return backURL + chat.avatar?.url
    } else {
      return false
    }
  }

  return (
    <>
    {
        getUrl() ?
        <Avatar  sx={ bigSize ? big : small } 
                alt={chat.title } src={getUrl()} /> :
        <Avatar  sx={ bigSize ? big : small }
                {...stringColor.stringAvatar(chat.title)} /> 
    }        
    </>
  ) 
}

