import React, {useState, useEffect, useRef} from 'react'

import { connect } from 'react-redux'

import { CMsg, MsgMenu } from '.'

const msgsWrapper = {
   display: "flex",
   flexDirection: "column",
   justifyContent: "flex-start",
   alignItems: "stretch",
   paddingTop: "10px",
   paddingBottom: "5px"
}

const MsgList = ({chats={}, chatId, onEdit }) => {

   const msgArr = chats[chatId]?.messages

   return (
      <div 
         style={msgsWrapper}
      >
         { msgArr ?

            msgArr.map(msg => 
                              <CMsg               
                                 key={msg.nextMsg?._id || null} 
                                 msg={msg} 
                                 onEdit={onEdit}
                               /> ) :
               
                     <div>сообщений нет</div>         
         }  

      </div>
   )
}
export const CMsgList = connect(state => ( { chats: state.chats } ))(MsgList)



